<ion-view title="edit planos" ng-controller="planosCtrl as ctrl">
	<div class="container" style="padding-top: 50px">

		<form class="form-horizontal">
			<h2>Add floorplan</h2>

			<div class="col-sm-12">
				<div class="form-group">
					<label for="name">title</label>
					<input type="text" class="form-control" id="title" placeholder="title" ng-model="ctrl.data.title">
				</div>

				<div class="form-group">
					<div class="row">
						<div class="col-sm-12">
							<label>Image: (640 x 1015 pixels)</label>
						</div>
						<div class="col-sm-2">
							<img ng-if="ctrl.data.img" ng-src="{{ctrl.data.img}}" class="img-thumbnail">
						</div>
						<div class="col-sm-12">
							<br>
							<button class="btn btn-primary" ngf-select="ctrl.uploadImages($files, 'img')" multiple="false" accept="image/*" ngf-max-height="5000">
								Upload image
							</button>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-sm-12">
					<button ng-if="ctrl.data.title && ctrl.data.img" type="submit" class="btn btn-success" ng-click="ctrl.crear()">Create</button>
					<hr>
				</div>
			</div>
		</form>

		<div class="row">
			<div class="col-sm-3" ng-repeat="plano in ctrl.planos">
				<div class="plano">
					<div class="thumbnail">

						<div class="dropdown">
							<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Edit <span class="caret"></span></a>
							<ul class="dropdown-menu">
								<li><a href="#" ng-click="ctrl.edit = plano.$id">Change title</a></li>
								<li><a href="#" ngf-select="ctrl.updateImage($files, 'img', $index)" multiple="false" accept="image/*" ngf-max-height="5000">Change image</a></li>
							</ul>
						</div>

						<img class="image-responsive" ng-src="{{plano.img}}" alt="">

						<div class="caption">
							<h3 ng-if="ctrl.edit !== plano.$id">{{plano.title}}</h3>
							<form class="form-inline" ng-if="ctrl.edit == plano.$id">
								<div class="form-group">
									<input ng-if="ctrl.edit == plano.$id" type="text" class="form-control" ng-model="plano.title">
								</div>
								<button type="submit" class="btn btn-default" ng-click="ctrl.save($index)">Done</button>
							</form>
							<div class="btn-group" role="group" aria-label="...">
								<button type="button" class="btn btn-warning" ng-if="!ctrl.checkremove" ng-click="ctrl.checkremove = true">Delete</button>
								<button type="button" class="btn btn-default" ng-if="ctrl.checkremove" ng-click="ctrl.remove(plano)">Confirm remove</button>
								<button type="button" class="btn btn-danger" ng-if="ctrl.checkremove" ng-click="ctrl.checkremove = false">Cancel</button>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>

	</div><!-- /.container -->
</ion-view>
